diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index cca2cde..624b7df 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -316,6 +316,7 @@ TANGLE=${SPADBIN}/lib/notangle
 WEAVE=${SPADBIN}/lib/noweave
 NOISE="-o ${TMP}/trace"
 PATCH=patch
+UNCOMPRESS=gunzip
 
 <<part>>
 
@@ -324,7 +325,7 @@ ENV= SPAD=${SPAD} SYS=${SYS} SPD=${SPD} LSP=${LSP} GCLDIR=${GCLDIR} \
      SPADBIN=${SPADBIN} INC=${INC} CCLBASE=${CCLBASE} PART=${PART} \
      SUBPART=${SUBPART} NOISE=${NOISE} GCLVERSION=${GCLVERSION} \
      TANGLE=${TANGLE} VERSION=${VERSION} PATCH=${PATCH} DOCUMENT=${DOCUMENT} \
-     WEAVE=${WEAVE}
+     WEAVE=${WEAVE} UNCOMPRESS=${UNCOMPRESS}
 
 @
 \subsection{rootdirs}
diff --git a/books/bookvol7.1.pamphlet b/books/bookvol7.1.pamphlet
index 2ad4111..9054a51 100644
--- a/books/bookvol7.1.pamphlet
+++ b/books/bookvol7.1.pamphlet
@@ -188309,7 +188309,8 @@ ${HYPER}/ht.db: ${BOOK}
 	   htadd ${PAGEFILE} )
 	@ cp -pr ${IN}/bitmaps ${HYPER}
 	@ cp -pr ${IN}/viewports ${HYPER}
-
+	@ (cd ${HYPER}/viewports ; \
+            for i in `find . -name "*.Z"` ; do ${UNCOMPRESS} $$i ; done )
 
 @
 \eject
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index 1ce229c..4bc1789 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -16916,10 +16916,7 @@ void parseInputPix(void) {
         else {
             pixnode->type = Inputpixmap;
             strcpy(f, pixnode->data.text);
-#ifdef OLD
-            strcat(f, ".pm");
-#endif
-            strcat(f, ".xpm.Z");
+            strcat(f, ".xpm");
             p=pixnode->data.text;
             pixnode->data.text = allocString(f);
             free(p);
diff --git a/changelog b/changelog
index 11a9c9f..1667f96 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20080814 tpd books/bookvol7 handle uncompressed images
+20080814 tpd books/bookvol7.1 uncompress viewport directory images
+20080814 tpd Makefile add UNCOMPRESS
 20080809 tpd books/bookvol7 remove all references to doc/hypertex
 20080809 tpd src/Makefile stop creating the doc/hypertex/pages subdir
 20080809 tpd src/input/Makefile remove reference to hyperdoc/pages
